> ## Documentation Index
> Fetch the complete documentation index at: https://docs.krea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Veo 3.1 Fast

> Faster, affordable Veo 3.1 with audio.

## Pricing

<Note>Fixed API prices in USD.</Note>

| Resolution | Audio | Duration |   Price |
| ---------- | ----- | -------- | ------: |
| 720p       | No    | 4s       | \$0.336 |
| 1080p      | No    | 4s       |  \$0.42 |
| 720p       | Yes   | 4s       |  \$0.42 |
| 1080p      | Yes   | 4s       | \$0.504 |
| 720p       | No    | 6s       | \$0.504 |
| 1080p      | No    | 6s       |  \$0.63 |
| 720p       | Yes   | 6s       |  \$0.63 |
| 720p       | No    | 8s       | \$0.672 |
| 1080p      | Yes   | 6s       | \$0.756 |
| 1080p      | No    | 8s       |  \$0.84 |
| 720p       | Yes   | 8s       |  \$0.84 |
| 1080p      | Yes   | 8s       | \$1.008 |
| 4K         | No    | 4s       |  \$1.05 |
| 4K         | Yes   | 4s       |  \$1.26 |
| 4K         | No    | 6s       | \$1.575 |
| 4K         | Yes   | 6s       |  \$1.89 |
| 4K         | No    | 8s       |  \$2.10 |
| 4K         | Yes   | 8s       |  \$2.52 |

<Accordion title="Deprecated request aliases">
  These aliases are accepted for compatibility only and are not shown in the request schema.

  | Deprecated        | Use instead        | Accepted until |
  | ----------------- | ------------------ | -------------- |
  | `startImage`      | `start_image`      | 2026-06-19     |
  | `aspectRatio`     | `aspect_ratio`     | 2026-06-19     |
  | `generateAudio`   | `generate_audio`   | 2026-06-19     |
  | `endImage`        | `end_image`        | 2026-06-19     |
  | `referenceImages` | `reference_images` | 2026-06-19     |
</Accordion>


## OpenAPI

````yaml https://api.krea.ai/openapi.json post /generate/video/google/veo-3.1-fast
openapi: 3.1.0
info:
  title: Krea API
  version: v1
servers:
  - url: https://api.krea.ai
    description: Krea API
security:
  - bearerAuth: []
tags:
  - name: General
    description: Core API operations including job management and billing information
  - name: Krea
    description: Krea-owned generation models including Krea 2
  - name: Assets
    description: >-
      Asset management endpoints for uploading and managing images, videos,
      audio files, and 3D models
  - name: Styles
    description: Style (LoRA) generation and management endpoints
  - name: Node Apps
    description: Executing custom node apps built in our nodes tool
  - name: Image
    description: Image generation endpoints
  - name: Image Enhance
    description: Image enhance endpoints
  - name: Video
    description: Video generation endpoints
paths:
  /generate/video/google/veo-3.1-fast:
    post:
      tags:
        - Video
      summary: Veo 3.1 Fast
      description: Faster, affordable Veo 3.1 with audio.
      parameters:
        - name: X-Webhook-URL
          in: header
          required: false
          schema:
            type: string
            format: uri
          description: >-
            URL to receive a POST request when the job completes. The webhook
            will receive the job data including results.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                prompt:
                  type: string
                start_image:
                  type:
                    - string
                    - 'null'
                  format: uri
                aspect_ratio:
                  type: string
                  enum:
                    - '16:9'
                    - '9:16'
                  default: '16:9'
                duration:
                  type: number
                  enum:
                    - 4
                    - 6
                    - 8
                  default: 8
                generate_audio:
                  type: boolean
                  default: false
                resolution:
                  type: string
                  enum:
                    - 720p
                    - 1080p
                    - 4K
                  default: 720p
                end_image:
                  type:
                    - string
                    - 'null'
                  format: uri
                reference_images:
                  type: array
                  items:
                    type: string
                    format: uri
              required:
                - prompt
              additionalProperties: false
            example:
              prompt: >-
                Cobblestone streets of a medieval town, with lanterns lighting
                up historic facades.
      responses:
        '200':
          description: >-
            The resulting job data. This will be returned in a pending state
            until the job is completed. See
            [`/jobs/{id}`](#tag/default/get/jobs/{id}) for retrieving the
            results.
          content:
            application/json:
              schema:
                type: object
                properties:
                  job_id:
                    type: string
                    format: uuid
                  status:
                    type: string
                    enum:
                      - backlogged
                      - queued
                      - scheduled
                      - processing
                      - sampling
                      - intermediate-complete
                      - completed
                      - failed
                      - cancelled
                  created_at:
                    type: string
                    format: date-time
                  completed_at:
                    type: 'null'
                  result:
                    type: 'null'
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                    required:
                      - code
                required:
                  - job_id
                  - status
                  - created_at
                  - completed_at
                  - result
        '400':
          description: The request body is invalid.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '401':
          description: You are not authenticated.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '402':
          description: You have run out of credits.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '429':
          description: You have reached the maximum number of concurrent jobs.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      bearerFormat: Bearer
      type: http

````